Bug 499103 - Review Request: perl-File-Flock - File locking with flock
Review Request: perl-File-Flock - File locking with flock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 499050
  Show dependency treegraph
 
Reported: 2009-05-05 04:26 EDT by Emmanuel Seyman
Modified: 2009-06-24 15:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2008.01-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:37:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-05-05 04:26:11 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-File-Flock/perl-File-Flock.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-File-Flock/perl-File-Flock-2008.01-1.fc10.src.rpm
Description:
Lock files using the flock() call. If the file to be locked does not exist,
then the file is created. If the file was created then it will be removed
when it is unlocked assuming it's still an empty file.
Comment 1 Parag AN(पराग) 2009-05-05 05:01:24 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1336511
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ff3dcdb9426afc18867c8bfc615e25d325947ac7  File-Flock-2008.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=199,  1 wallclock secs ( 0.03 usr  0.01 sys +  0.09 cusr  0.09 csys =  0.22 CPU)
+ Package perl-File-Flock-2008.01-1.fc12.noarch =>
Provides: perl(File::Flock) = 2008.01
Requires: perl(Carp) perl(Exporter) perl(Fcntl) perl(IO::File) perl(POSIX) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-05-05 05:19:46 EDT
New Package CVS Request
=======================
Package Name: perl-File-Flock
Short Description: File locking with flock
Owners: eseyman
Branches: F-9 F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-06 17:12:52 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-09 00:04:49 EDT
perl-File-Flock-2008.01-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-Flock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4425
Comment 5 Parag AN(पराग) 2009-06-24 04:17:02 EDT
any plans to push this as stable updates?
Comment 6 Emmanuel Seyman 2009-06-24 04:48:17 EDT
(In reply to comment #5)
>
> any plans to push this as stable updates?  

Done on June 21 (Update ID:FEDORA-2009-4425).
Comment 7 Fedora Update System 2009-06-24 15:37:02 EDT
perl-File-Flock-2008.01-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.